export default class Letter {
    constructor(value, style) {
        this._value = value;
        this._style = style;
    }

    addStyle(style) {
        if (!this._style) {
            this._style = style;
        } else {
            this._style += ' ' + style;
        }
    };

    toHTMLElement() {
        const element = document.createElement('span');
        element.classList.add('item', 'letter');
        if (!!this._style) {
            element.classList.add(...this._style.split(' '));
        }
        element.innerHTML = this._value;
        return element;
    }
}
